2014
11-20

Linux下安装Yii2.0

Linux下安装Yii2.0步骤如下(PHP版本:5.5.15):
1、若还没有安装 Composer ,则在终端里输入以下命令,先安装 Composer(等待时间有点长,请耐心等待,下同):

#若复制到终端里运行不了,请手工输入(下同)
curl -sS https://getcomposer.org/installer | php

1.png

2、运行如下命令来安装 Composer Asset插件:

php composer.phar global require "fxp/composer-asset-plugin:1.0.0-beta3"

可能会执行出错,抛出如下异常:
2.png

说明 composer.phar 文件有错,从 https://getcomposer.org/composer.phar 下载 composer.phar, 覆盖到当前目录里的 composer.phar。再重新执行步骤2。出现如下图的情况就说明此步骤执行成功了。
3.png

3、以上相关 composer 环境安装完毕,下面选择应用程序模板之一,开始安装 Yii2.0。应用程序模板是一个包含Yii基本结构的Web应用程序包。

安装基本的应用程序模板,运行如下命令:

php composer.phar create-project yiisoft/yii2-app-basic /var/www/yii-test

安装高级的应用程序模板,运行如下命令:

php composer.phar create-project yiisoft/yii2-app-advanced /var/www/yii-test

以上命令的意思是把Yii2.0框架包安装到"/var/www/yii-test"目录中。

安装过程中,可能会出现如下错误:
4.png

通过编辑php.ini中的“disable_functions”,把提示中的函数删除禁用即可解决。

安装过程中如果出现以下的账号输入提示:
5.png

输入你的github账号和密码即可,接下来就是等待安装完毕。

4、然后执行当前目录下的"init"文件,如下图:
6.png

0和1任选一个(0代表开发环境,1代表测试环境),回车后,即可安装成功。

5、通过浏览器中进入"http://localhost/frontend/web/index.php",出现如下图所示,则表示安装成功。
7.png

「真诚赞赏,手留余香」